Skip to content
中文

POST /suno/submit/lyrics

Method: POSTEndpoint: /suno/submit/lyrics

Request Parameters

Header Parameters

text
Content-Type
string
Optional
Example:
application/json
Accept
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
prompt
string
  // provider-specific example normalized for English documentation
Required
notify_hook
string
  // provider-specific example normalized for English documentation
Optional
Example
{
"prompt"
:
"dance"
}

Example Request

Shell

bash
curl --location --request POST '/suno/submit/lyrics' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "dance"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
code
string
Required
message
string
Required
data
string
task_id
Required

Example

json
{
    "code": "success",
    "message": "",
    "data": "736a6f88-bd29-4b1e-b110-37132a5325ac"
}